Apache Tomcat 6.0.51

## org.apache.catalina.startup
Class WebAnnotationSet

    java.lang.Object
      org.apache.catalina.startup.WebAnnotationSet

    public class WebAnnotationSet

extends java.lang.Object

AnnotationSet for processing the annotations of the web application classes (`/WEB-INF/classes` and `/WEB-INF/lib`).

Author:
  Fabien Carrion

Constructor Summary
`WebAnnotationSet()`

Method Summary
`protected static void` | `addResource(Context context, javax.annotation.Resource annotation)` Process a Resource annotation to set up a Resource.
`static void` | `loadApplicationAnnotations(Context context)` Process the annotations on a context.
`protected static void` | `loadApplicationFilterAnnotations(Context context)` Process the annotations for the filters.
`protected static void` | `loadApplicationListenerAnnotations(Context context)` Process the annotations for the listeners.
`protected static void` | `loadApplicationServletAnnotations(Context context)` Process the annotations for the servlets.
`protected static void` | `loadClassAnnotation(Context context, java.lang.String fileString)` Process the annotations on a context for a given className.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAnnotationSet

    public WebAnnotationSet()

Method Detail

### loadApplicationAnnotations

    public static void loadApplicationAnnotations(Context context)

  Process the annotations on a context.

### loadApplicationListenerAnnotations

    protected static void loadApplicationListenerAnnotations(Context context)

  Process the annotations for the listeners.

### loadApplicationFilterAnnotations

    protected static void loadApplicationFilterAnnotations(Context context)

  Process the annotations for the filters.

### loadApplicationServletAnnotations

    protected static void loadApplicationServletAnnotations(Context context)

  Process the annotations for the servlets.

### loadClassAnnotation

    protected static void loadClassAnnotation(Context context,
                                              java.lang.String fileString)

  Process the annotations on a context for a given className.

### addResource

    protected static void addResource(Context context,
                                      javax.annotation.Resource annotation)

  Process a Resource annotation to set up a Resource. Ref JSR 250, equivalent to the resource-ref, message-destination-ref, env-ref, resource-env-ref or service-ref element in the deployment descriptor.

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.